@import url('https://fonts.googleapis.com/css2?family=Lexend:wght@100..900&family=Mochiy+Pop+One&display=swap');

body {
    margin: 10vh 30vw;
    background-color: rgb(255, 220, 227);
    font-family: "Lexend", sans-serif;
    text-align: center;
    color: rgb(255, 138, 171);
}

h1, h2, h3, h4, h5, h6 {
    color: rgb(255, 44, 94);
    margin-top: 50px;
}

p, ul, ol {
    font-size: 20px;
}
p {
    margin-top: 40px;
}

h3 {
    font-size: 30px;
}

a {
    color: inherit;
    text-decoration: none;
}

button {
    display: block;
    margin: 0 auto;
    border: none;
    font-family: inherit;
    font-size: 25px;
    text-transform: uppercase;
    padding: 15px 25px;
    text-transform: uppercase;
    border-radius: 7px;
    background-color:#FF2C5D;
    color: #FFFFFF;
    transition: transform 0.3s;
    cursor: pointer;
}
button.secondary {
    background-color: #FFFFFF;
    color: #ff8aab;
    font-size: 20px;
    padding: 10px 20px;
}
button:has(> img) {
    display: flex;
    align-items: center;
    justify-content: center;
}
button img {
    max-height: 25px;
    margin-right: 5px;
}

ul {
    display: inline-block;
    text-align: left;
}

footer {
    margin-top: 100px;
    opacity: 50%;
    font-size: 13px;
}
code {
    background-color: #24292e;
    color: rgb(255, 138, 171);
    padding: 4px 7px;
    border-radius: 4px;
    white-space: nowrap;
}


@media (max-width: 1000px) {
    body {
        margin: 5vh 10vw;
    }
    p, ul, ol {
        font-size: 40px;
    }
    h3 {
        font-size: 70px;
    }
    button {
        padding: 25px 35px;
        font-size: 40px;
        border-radius: 20px;
    }
    button.secondary {
        padding: 20px 30px;
        font-size: 25px;
    }
    footer {
        font-size: 20px;
        text-align: center;
    }
}
